"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ImageBlock = ImageBlock;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const styles = {
  image: {
    width: '100%'
  }
};

function ImageBlock(entity) {
  const {
    desc,
    imageFile,
    resized
  } = entity.getData();
  return /*#__PURE__*/_react.default.createElement("figure", null, /*#__PURE__*/_react.default.createElement("img", {
    style: styles.image,
    src: resized === null || resized === void 0 ? void 0 : resized.original,
    onError: e => e.currentTarget.src = imageFile === null || imageFile === void 0 ? void 0 : imageFile.url,
    alt: ""
  }), /*#__PURE__*/_react.default.createElement("figcaption", null, desc));
}