"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DefaultLayout;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const Wrapper = _styledComponents.default.div`
  margin: 0 auto;
  padding: 24px 0;
  width: 600px;
  font-family: 'Noto Sans TC', sans-serif;
  display: flex;
  flex-direction: column;
  align-items: center;
  @media (max-width: 768px) {
    width: auto;
    margin: 0 20px;
    padding: 40px 0;
  }
`;

function DefaultLayout(props) {
  return /*#__PURE__*/_react.default.createElement(Wrapper, null, props.children);
}