"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = QuestionCard;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const Card = _styledComponents.default.div`
  ${props => props.isFristPage && `  background: #ffffff;
    box-shadow: 0px 4px 4px -2px rgba(0, 0, 0, 0.1);
    border-radius: 6px;
    padding: 12px 16px;
    max-width: 320px;
    @media screen and (min-width: 768px) {
      padding: 16px 24px;
    }`}}
`;

function QuestionCard(props) {
  return /*#__PURE__*/_react.default.createElement(Card, {
    isFristPage: props.isFristPage
  }, props.children);
}